/*
 * xmalloc.h - malloc that can't fail
 *
 * Copyright (C) 2003-2005  Joshua Hoblitt, 2003  Robert Lupton
 *
 * $Id: xmalloc.h,v 1.4 2005-07-30 02:45:31 jhoblitt Exp $
 */

#ifndef XMALLOC_H
#define XMALLOC_H 1

void * xmalloc(size_t n);

void * xrealloc(void *ptr, size_t size);
 
void xfree(void *ptr);

#endif // XMALLOC_H
